.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Mon Apr 12 12:49:57 1993, David Metcalfe
.\" Modified Sat Jul 24 18:56:22 1993, Rik Faith (faith@cs.unc.edu)
.TH MEMCHR 3  "April 12, 1993" "GNU" "Linux Programmer's Manual"
.SH NAME
memchr \- scan memory for a character
.SH SYNOPSIS
.nf
.B #include <string.h>
.sp
.BI "void *memchr(const void *" s ", int " c ", size_t " n );
.fi
.SH DESCRIPTION
The \fBmemchr()\fP function scans the first \fIn\fP bytes of the memory
area pointed to by \fIs\fP for the character \fIc\fP.  The first byte to
match \fIc\fP (interpreted as an unsigned character) stops the operation.
.SH "RETURN VALUE"
The \fBmemchr()\fP function returns a pointer to the matching byte or
NULL if the character does not occur in the given memory area.
.SH "CONFORMING TO"
SVID 3, BSD 4.3, ISO 9899
.SH "SEE ALSO"
.BR index "(3), " rindex "(3), " strchr "(3), " strpbrk (3),
.BR strrchr "(3), " strsep "(3), " strspn "(3), " strstr (3)
